### Function

# EDataServer time_parse_date_ex

since: 2.22

#### Declaration [src]

    ETimeParseStatus
    e_time_parse_date_ex (
      const gchar* value,
      tm* result,
      gboolean* two_digit_year
    )

#### Description [src]

Takes in a date string entered by the user and tries to convert it to a struct #tm.

Available since: 2.22

#### Parameters

`value`

  Type: `const gchar*`

  A date string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`result`

  Type: `tm*`

  Return value for the parsed date.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`two_digit_year`

  Type: `gboolean*`

  Set to TRUE, is parsing with two-digit year, else FALSE, but only when not NULL.

  The data is owned by the caller of the function.

#### Return value

Type: `ETimeParseStatus`

An `ETimeParseStatus` result code indicating whether `value` was an empty string, a valid date, or an invalid date.